Subject: Re: CNC slant bed vs CNC swiss type lathe

From: [email-masked] (DYNALEC)
Date: 10 Apr 1995 14:42:05 -0400

We are a small manufacturing company in the process of updating our
machine shop. We are looking for a lathe that is easily programmable, has
a quick set up time and is good for runs between 20 to 5,000 pieces. We
have looked at Cinncinnati Micron, Bridgeport, Minyou,Hardinge, Hitachi
Seiki,Star,Traube and Citizen. One trouble were having is deciding if a
slant bed lathe with a sub-spindle can work on both ends of a part with
the same versatility as a swiss style lathe. It is our understanding that
excluding chucking applications a swiss style lathe is much more efficient
than a slant bed lathe given the same part in the same stock size. Is this
correct? Which machine has a longer set up time? Any advice received would
be greatly appreciated. Thank you
Greg C